#include <idc.idc>

#define START_EA	0x000000
#define END_EA		0x100000

#define MASK_LEA	0xF1FF
#define SIGN_LEA	0x41FA
#define MASK_PEA	0xFFFF
#define SIGN_PEA	0x487A
#define MASK_JSR_JMP	0xFFBF
#define SIGN_JSR_JMP	0x4EBA

#define Match(addr,mask,sign)	((Word(addr) & mask) == sign)

#define LEA(addr)	(Match(addr,MASK_LEA,SIGN_LEA))
#define PEA(addr)	(Match(addr,MASK_PEA,SIGN_PEA))
#define JSR_JMP(addr)	(Match(addr,MASK_JSR_JMP,SIGN_JSR_JMP))

#define INSTR_TO_FIX(addr)	(LEA(addr) || PEA(addr) || JSR_JMP(addr))

static main()
{
  auto addr;
  addr = START_EA;
  while (addr < END_EA)
  {
    if (isCode(GetFlags(addr)))
      if (INSTR_TO_FIX(addr))
      { 
        OpOff(addr, 0, 0);
        OpAlt(addr, 0, GetOpnd(addr,0)+"(pc)");
        addr = addr + 2;
      }
    addr = addr + 2;
  }
}